<?php
// Configurable items for Example PayPal IPN Agent

// IPN Agent config all in one array for easy "new" use...
$ipn_agent_cfg = array(
    // Email address expected from the incoming IPNs
    'merchant_email' => "paypal@example.com",

    // PEAR DB's DSN for database access
    'dsn' => array(
        'phptype'  => 'mysql',
        'username' => 'ipn_admin',
        'password' => '',
        'hostspec' => 'localhost',
        'database' => 'PayPal',    
    ),

    // Prefix to the IPN tables "transactions", "cart", and "options"
    'tablename_prefix' =>"ipn_",

    // Primary Certificate Authority file to use for SSL validation
    'ca_file' => "/etc/ssl/certs/ca-certificates.crt",

    // Where to write IPN progress and errors.  By default, write out
    // to the web server error logs.
    'error_file' => 'php://stderr',

    // Command to run after a txn has been recorded to the Database.  It
    // takes one argument: the txn_id that was just stored.
    // THIS TOOL MUST FORK ITSELF INTO THE BACKGROUND TO AVOID BEING KILLED
    // IF THE PHP SERVER SESSION DIES!
    'run_stored' => "/home/example/stored_txn",

    // Command to run after a txn has been verified as "Completed".  This
    // tool should also verify that the correct price for things was paid.
    // Just because we have a verified transaction doesn't mean the
    // PayPal forms weren't changed before being sent to them.  This is a
    // common way to defraud PayPal merchants, so check closely!
    // Same arguments as the 'run_stored' above.
    // THIS TOOL MUST FORK ITSELF INTO THE BACKGROUND TO AVOID BEING KILLED
    // IF THE PHP SERVER SESSION DIES!
    'run_completed' => "/home/example/completed_txn",

    // If you want to test your IPN script with non-paypal servers
    // you can change the location of the off-site verification tool.
    //'url' => "https://www.eliteweaver.co.uk/cgi-bin/webscr",

    // If the URL above has an invalid SSL cert and you absolutely
    // must disable SSL cert checking, go look through "ipn_agent.php"
    // to find the variable to define here to disable SSL checking.
    // I highly recommend against it.
);

// Defaults used in the included "pay.php" example
$ipn_url        = "http://example.com/paypal/ipn.php";
$return_url     = "http://example.com/paypal/paid.php";
$cancel_url     = "http://example.com/paypal/cancel.php"

/* vi:set ai ts=4 sw=4 expandtab: */ ?>
